package com.propertyManagement.business.service;

import com.propertyManagement.business.domain.WxComment;
import com.propertyManagement.business.domain.vo.WxCommentVo;
import com.propertyManagement.business.domain.bo.WxCommentBo;
import com.propertyManagement.common.core.page.TableDataInfo;
import com.propertyManagement.common.core.domain.PageQuery;

import java.util.Collection;
import java.util.List;
import java.util.Map;

/**
 * 表扬与投诉Service接口
 *
 * @author liushuai
 * @date 2025-05-14
 */
public interface IWxCommentService {

    /**
     * 查询表扬与投诉
     */
    WxCommentVo queryById(Long id);

    /**
     * 查询表扬与投诉
     */
    Map<Integer, Long> userCountAll();

    /**
     * 查询表扬与投诉列表
     */
    TableDataInfo<WxCommentVo> queryPageList(WxCommentBo bo, PageQuery pageQuery);

    /**
     * 查询表扬与投诉列表
     */
    List<WxCommentVo> queryList(WxCommentBo bo);

    /**
     * 新增表扬与投诉
     */
    Boolean add(WxCommentBo bo);

    /**
     * 新增表扬与投诉
     */
    Boolean insertByBo(WxCommentBo bo);

    /**
     * 修改表扬与投诉
     */
    Boolean updateByBo(WxCommentBo bo);

    /**
     * 校验并批量删除表扬与投诉信息
     */
    Boolean deleteWithValidByIds(Collection<Long> ids, Boolean isValid);
}
